FROM celinederoland/php7.3:latest

RUN apt-get update && apt-get install -y zip unzip && rm -rf /var/lib/apt/lists/*

USER root

ENV COMPOSER_ALLOW_SUPERUSER 1
ENV COMPOSER_HOME /tmp

RUN curl -o composer-setup.php https://getcomposer.org/installer \
 && php composer-setup.php --no-ansi --install-dir=/usr/bin --filename=composer --quiet \
 && composer --ansi --version --no-interaction \
 && rm composer-setup.php 

COPY ./memory.ini /usr/local/etc/php/conf.d/memory.ini

WORKDIR /app
